Bug 470720 - Review Request: gdnet - Demonstration tool for the libdnet interface
Review Request: gdnet - Demonstration tool for the libdnet interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 08:10 EST by Fabian Affolter
Modified: 2010-06-18 03:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 03:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-11-09 08:10:33 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gdnet.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gdnet-0.5-1.fc9.src.rpm

Project URL: http://jon.oberheide.org/projects/gdnet/

Description:
gdnet is a graphical tool demonstrating the power and simplicity of
the libdnet interface. Using the GTK+ toolkit, it provides a variety 
of networking features in a simple, easy-to-use interface.

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=923189

rpmlint output:
[fab@laptop024 i386]$ rpmlint -i gdn*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint -i gdn*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Fabian Affolter 2008-11-09 08:15:24 EST
Hmmm, there is a problem after the installation of this package.

[fab@laptop024 ~]$ gdnet 

** (gdnet:18125): WARNING **: fw_open(): could not get fw handle
Segmentation fault
Comment 2 manuel wolfshant 2008-11-28 17:03:02 EST
works for me in fedora 7, so...
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) )
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type according to spec: GPLv2+
     License type according to source files: unspecified, hence GPL+ according to http://fedoraproject.org/wiki/Licensing/FAQ
See note 1 at the end of the review.
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: fba4329092363cb9f60ad09c9e72ab1f546281f7 gdnet-0.5.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 and Fedora-7/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [X] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

Notes
1. Please get in touch with upstream, clarify the license and ask for inclusion of license info in all the source files
2. The desktop file has an ending space on the first line which makes my desktop-file-validate choke. Could you please fix it ?                                                                                                 3. There are some duplicate BuildRequires:gtk2-devel (by libglade2-devel), glib2-devel (by gtk2-devel)
Comment 3 Fabian Affolter 2008-12-06 07:45:22 EST
Thanks Manuel for your review.

(In reply to comment #2)
> 1. Please get in touch with upstream, clarify the license and ask for inclusion
> of license info in all the source files

fixed.  The developer released a new version with licensing information in the source.  The license is GPLv2+.

> 2. The desktop file has an ending space on the first line which makes my
> desktop-file-validate choke. Could you please fix it?

fixed.  The developer added the .desktop file to the new version.
                         
> 3. There are some duplicate BuildRequires:gtk2-devel (by libglade2-devel),
> glib2-devel (by gtk2-devel)

fixed

Here are the new files.  But the tools is still not working on my F9 machine (see Comment #1 for the detail about the error).  I will retest it soon on a F10 system.  

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gdnet.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gdnet-0.6-1.fc9.src.rpm

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=983716
Comment 4 manuel wolfshant 2008-12-08 04:56:46 EST
Everything seems fine from my point of view. Only recommendation would be to include the AUTHORS file in %doc

APPROVED
Comment 5 Fabian Affolter 2008-12-19 07:38:08 EST
New Package CVS Request
=======================
Package Name: gdnet
Short Description: Demonstration tool for the libdnet interface
Owners: fab
Branches: F-9 F-10
Comment 6 Kevin Fenzi 2008-12-20 23:42:30 EST
cvs done.
Comment 7 manuel wolfshant 2009-12-08 22:51:41 EST
Any particular reason to not build this package and close the review ?
Comment 8 Fabian Affolter 2010-06-18 03:37:48 EDT
The package was not usable on newer Fedora releases.  Upstream seems not to be interested anymore to work on gdnet.

Note You need to log in before you can comment on or make changes to this bug.